<?php

class onAllowviewContentBeforeItem extends cmsAction {

    public function run($data){
        
        if (cmsUser::isAdmin()){return $data;}
        
        $user = cmsUser::getInstance();
        
        if (isset($data[1]['category'])){
        
            $allow_view = cmsModel::yamlToArray($data[1]['category']['allow_view']);

            if (isset($allow_view[0]) &&  $allow_view[0] != 0){

                if (!$user->isInGroups($allow_view)){

                    cmsCore::error404();
                }
            }
        }
        
        return $data;
    }
}
        