<?php

class onAllowviewContentBeforeCategoryView extends cmsAction {

    public function run($data){
        
        if (cmsUser::isAdmin()){return $data;}
        
        $user = cmsUser::getInstance();
        
        if (isset($data[0]['allow_view'])){

            $allow_view = cmsModel::yamlToArray($data[0]['allow_view']);

            if (isset($allow_view[0]) &&  $allow_view[0] != 0){

                if (!$user->isInGroups($allow_view)){

                    cmsCore::error404();
                }
            }
        }
        
        if (is_array($data[1])){
            
            foreach ($data[1] as $key => $item){

               $allow_view = cmsModel::yamlToArray($item['allow_view']);

               if (!isset($allow_view[0]) || (isset($allow_view[0]) &&  $allow_view[0] == 0)){continue;}

               if (!$user->isInGroups($allow_view)){

                   unset($data[1][$key]);
               }

           }
        }
        
        return $data;
        
    }    
}